import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-15 15:03
 */
export interface BusOrder {
    /**
    * 订单号
    * @type { string }
    */
    orderNo?: string;
    /**
    *
    * @type { string }
    */
    appId?: string;
    /**
    * 用户ID
    * @type { string }
    */
    userId?: string;
    /**
    *
    * @type { string }
    */
    openId?: string;
    /**
    * 入口APPID
    * @type { string }
    */
    enterAppId?: string;
    /**
    *
    * @type { string }
    */
    enterOpenId?: string;
    /**
    * 是否科拓收款
    * @type { string }
    */
    mchId?: string;
    /**
    * PC支付ID
    * @type { string }
    */
    subMchId?: string;
    /**
    *
    * @type { string }
    */
    transactionId?: string;
    /**
    * 订单类型
    * @type { string }
    */
    orderCategory?: string;
    /**
    * 支付方式 00 微信支付 01  免密支付 02 VIP支付 03 停车币
    * @type { string }
    */
    paymentMethod?: string;
    /**
    * 银行卡类型
    * @type { string }
    */
    bankType?: string;
    /**
    * 订单支付来源：00:微信/01:支付宝/02:H5/03:APP
    * @type { string }
    */
    origin?: string;
    /**
    * 车场订单号
    * @type { string }
    */
    lotOrderId?: string;
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 车牌号/ETC号
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 活动ID
    * @type { string }
    */
    activityId?: string;
    /**
    * 优惠券InfoID
    * @type { string }
    */
    couponInfoId?: string;
    /**
    * 车场金额额
    * @type { number }
    */
    parkingTotalFee?: number;
    /**
    * 总费用
    * @type { number }
    */
    totalFee?: number;
    /**
    * 优惠费用主体
    * @type { string }
    */
    couponSubject?: string;
    /**
    * 优惠金额
    * @type { number }
    */
    couponFee?: number;
    /**
    * 应缴金额
    * @type { number }
    */
    cashFee?: number;
    /**
    * 入场时间
    * @type { string }
    */
    comeTime?: string;
    /**
    * 入场图片
    * @type { string }
    */
    carImage?: string;
    /**
    * 出场时间
    * @type { string }
    */
    outTime?: string;
    /**
    * 停车时长
    * @type { number }
    */
    parkingTime?: number;
    /**
    * 支付时间
    * @type { Date }
    */
    payTime?: Date;
    /**
    * 离场缓冲时长
    * @type { string }
    */
    leaveTime?: string;
    /**
    * 预付费ID
    * @type { string }
    */
    prepayId?: string;
    /**
    *
    * @type { string }
    */
    attach?: string;
    /**
    *
    * @type { string }
    */
    remark?: string;
    /**
    * 是否删除 Y：是，N：否
    * @type { string }
    */
    isDeleted?: string;
    /**
    * 同步状态
    * @type { string }
    */
    sendType?: string;
    /**
    * 00:已支付,01:未支付,02:支付失败
    * @type { string }
    */
    tradeState?: string;
    /**
    * 退款状态
    * @type { string }
    */
    refundState?: string;
    /**
    *
    * @type { string }
    */
    sendState?: string;
    /**
    * 分区ID
    * @type { string }
    */
    regionId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BusOrderMI {
    static get ORDER_NO(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get OPEN_ID(): FieldInfo;
    static get ENTER_APP_ID(): FieldInfo;
    static get ENTER_OPEN_ID(): FieldInfo;
    static get MCH_ID(): FieldInfo;
    static get SUB_MCH_ID(): FieldInfo;
    static get TRANSACTION_ID(): FieldInfo;
    static get ORDER_CATEGORY(): FieldInfo;
    static get PAYMENT_METHOD(): FieldInfo;
    static get BANK_TYPE(): FieldInfo;
    static get ORIGIN(): FieldInfo;
    static get LOT_ORDER_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get CAR_PLATE_NUM(): FieldInfo;
    static get ACTIVITY_ID(): FieldInfo;
    static get COUPON_INFO_ID(): FieldInfo;
    static get PARKING_TOTAL_FEE(): FieldInfo;
    static get TOTAL_FEE(): FieldInfo;
    static get COUPON_SUBJECT(): FieldInfo;
    static get COUPON_FEE(): FieldInfo;
    static get CASH_FEE(): FieldInfo;
    static get COME_TIME(): FieldInfo;
    static get CAR_IMAGE(): FieldInfo;
    static get OUT_TIME(): FieldInfo;
    static get PARKING_TIME(): FieldInfo;
    static get PAY_TIME(): FieldInfo;
    static get LEAVE_TIME(): FieldInfo;
    static get PREPAY_ID(): FieldInfo;
    static get ATTACH(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get IS_DELETED(): FieldInfo;
    static get SEND_TYPE(): FieldInfo;
    static get TRADE_STATE(): FieldInfo;
    static get REFUND_STATE(): FieldInfo;
    static get SEND_STATE(): FieldInfo;
    static get REGION_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
